print.matrix {base} | R Documentation

## Print Matrices

### Description

Pseudo-method for the `print` generic. Especially useful with the `right` argument which does not (yet) exist for `print.default`.

### Usage

    print.matrix(x, rowlab=character(0), collab=character(0),
                 quote=TRUE, right=FALSE)

### Arguments

`x` | numeric or character matrix.
`rowlab,collab` | (optional) character vectors giving row or column names respectively. By default, these are taken from `dimnames(x)`.
`quote` | logical; if `TRUE` and `x` is of `mode` `character`, quotes (`".."`) are used.
`right` | if `TRUE` and `x` is of `mode` `character`, the output columns are right-justified.

### Details

`print.matrix` and `print.default` both print matrices, and each has at least an optional argument that the other lacks. Also, both directly dispatch into `.Internal` code directly instead of relying on each other. This mainly stems from historic compatibility and similar reasons should be changed in the future.

`prmatrix` is currently just an `.Alias` for `print.matrix`.

### Value

Invisibly returns its argument, `x`.

### See Also

`print.default`, and other `print` methods.

### Examples

    print.matrix(m6 <- diag(6), row = rep("",6), coll=rep("",6))

    chm <- matrix(scan(file.path(system.file("help", pkg="eda"),"AnIndex"),
    what=""),,2, byrow=T)
    chm  #-> print.default(.)  = `same' as  print.matrix(chm)
    print.matrix(chm, collab = paste("Column",1:3), right=TRUE, quote=FALSE)

[Package Contents]